Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.xni
Interface XMLDTDContentModelHandler

All Known Subinterfaces:
  XMLDTDContentModelFilter

All Known Implementing Classes:
  AbstractDOMParser, AbstractSAXParser, AbstractSAXPullParser, AbstractXMLDocumentParser, AbstractXMLDocumentPullParser, DOMASBuilderImpl, DOMBuilderImpl, DOMParser, DTDGrammar, DTDParser, SAXParser, SAXPullParser, XMLDocumentParser, XMLDTDLoader, XMLDTDProcessor

Deprecated. please use JDK supplied XML parsers and transformers

    public interface XMLDTDContentModelHandler

The DTD content model handler interface defines callback methods to report information items in DTD content models of an element declaration. Parser components interested in DTD content model information implement this interface and are registered as the DTD content model handler on the DTD content model source.

See Also:
  `XMLDTDHandler`

Field Summary
`static short` | `OCCURS_ONE_OR_MORE` Deprecated. This occurrence count limits the element, choice, or sequence in a children content model to one or more.
`static short` | `OCCURS_ZERO_OR_MORE` Deprecated. This occurrence count limits the element, choice, or sequence in a children content model to zero or more.
`static short` | `OCCURS_ZERO_OR_ONE` Deprecated. This occurrence count limits the element, choice, or sequence in a children content model to zero or one.
`static short` | `SEPARATOR_CHOICE` Deprecated. A choice separator for children and mixed content models.
`static short` | `SEPARATOR_SEQUENCE` Deprecated. A sequence separator for children content models.

Method Summary
`void` | `any(Augmentations augmentations)` Deprecated. A content model of ANY.
`void` | `element(String elementName, Augmentations augmentations)` Deprecated. A referenced element in a mixed or children content model.
`void` | `empty(Augmentations augmentations)` Deprecated. A content model of EMPTY.
`void` | `endContentModel(Augmentations augmentations)` Deprecated. The end of a content model.
`void` | `endGroup(Augmentations augmentations)` Deprecated. The end of a group for mixed or children content models.
`void` | `occurrence(short occurrence, Augmentations augmentations)` Deprecated. The occurrence count for a child in a children content model or for the mixed content model group.
`void` | `pcdata(Augmentations augmentations)` Deprecated. The appearance of "#PCDATA" within a group signifying a mixed content model.
`void` | `separator(short separator, Augmentations augmentations)` Deprecated. The separator between choices or sequences of a mixed or children content model.
`void` | `startContentModel(String elementName, Augmentations augmentations)` Deprecated. The start of a content model.
`void` | `startGroup(Augmentations augmentations)` Deprecated. A start of either a mixed or children content model.

Field Detail

### SEPARATOR_CHOICE

    static final short SEPARATOR_CHOICE

  Deprecated.
  A choice separator for children and mixed content models. This separator is used to specify that the allowed child is one of a collection.

  For example:

       <!ELEMENT elem (foo|bar)>
       <!ELEMENT elem (foo|bar+)>
       <!ELEMENT elem (foo|bar|baz)>
       <!ELEMENT elem (#PCDATA|foo|bar)*>

  See Also:
    `XMLDTDContentModelHandler.SEPARATOR_SEQUENCE`, Constant Field Values

### SEPARATOR_SEQUENCE

    static final short SEPARATOR_SEQUENCE

  Deprecated.
  A sequence separator for children content models. This separator is used to specify that the allowed children must follow in the specified sequence.

       <!ELEMENT elem (foo,bar)>
       <!ELEMENT elem (foo,bar*)>
       <!ELEMENT elem (foo,bar,baz)>

  See Also:
    `XMLDTDContentModelHandler.SEPARATOR_CHOICE`, Constant Field Values

### OCCURS_ZERO_OR_ONE

    static final short OCCURS_ZERO_OR_ONE

  Deprecated.
  This occurrence count limits the element, choice, or sequence in a children content model to zero or one. In other words, the child is optional.

  For example:

       <!ELEMENT elem (foo?)>

  See Also:
    `XMLDTDContentModelHandler.OCCURS_ZERO_OR_MORE`, `XMLDTDContentModelHandler.OCCURS_ONE_OR_MORE`, Constant Field Values

### OCCURS_ZERO_OR_MORE

    static final short OCCURS_ZERO_OR_MORE

  Deprecated.
  This occurrence count limits the element, choice, or sequence in a children content model to zero or more. In other words, the child may appear an arbitrary number of times, or not at all. This occurrence count is also used for mixed content models.

  For example:

       <!ELEMENT elem (foo*)>
       <!ELEMENT elem (#PCDATA|foo|bar)*>

  See Also:
    `XMLDTDContentModelHandler.OCCURS_ZERO_OR_ONE`, `XMLDTDContentModelHandler.OCCURS_ONE_OR_MORE`, Constant Field Values

### OCCURS_ONE_OR_MORE

    static final short OCCURS_ONE_OR_MORE

  Deprecated.
  This occurrence count limits the element, choice, or sequence in a children content model to one or more. In other words, the child may appear an arbitrary number of times, but must appear at least once.

  For example:

       <!ELEMENT elem (foo+)>

  See Also:
    `XMLDTDContentModelHandler.OCCURS_ZERO_OR_ONE`, `XMLDTDContentModelHandler.OCCURS_ZERO_OR_MORE`, Constant Field Values

Method Detail

### startContentModel

    void startContentModel(String elementName,
                           Augmentations augmentations)
                           throws XNIException

  Deprecated.
  The start of a content model. Depending on the type of the content model, specific methods may be called between the call to the startContentModel method and the call to the endContentModel method.

  Parameters:
    `elementName` - The name of the element.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### any

    void any(Augmentations augmentations)
             throws XNIException

  Deprecated.
  A content model of ANY.

  Parameters:
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.
  See Also:
    `XMLDTDContentModelHandler.empty(weblogic.apache.xerces.xni.Augmentations)`, `XMLDTDContentModelHandler.startGroup(weblogic.apache.xerces.xni.Augmentations)`

### empty

    void empty(Augmentations augmentations)
               throws XNIException

  Deprecated.
  A content model of EMPTY.

  Parameters:
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.
  See Also:
    `XMLDTDContentModelHandler.any(weblogic.apache.xerces.xni.Augmentations)`, `XMLDTDContentModelHandler.startGroup(weblogic.apache.xerces.xni.Augmentations)`

### startGroup

    void startGroup(Augmentations augmentations)
                    throws XNIException

  Deprecated.
  A start of either a mixed or children content model. A mixed content model will immediately be followed by a call to the `pcdata()` method. A children content model will contain additional groups and/or elements.

  Parameters:
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.
  See Also:
    `XMLDTDContentModelHandler.any(weblogic.apache.xerces.xni.Augmentations)`, `XMLDTDContentModelHandler.empty(weblogic.apache.xerces.xni.Augmentations)`

### pcdata

    void pcdata(Augmentations augmentations)
                throws XNIException

  Deprecated.
  The appearance of "#PCDATA" within a group signifying a mixed content model. This method will be the first called following the content model's `startGroup()`.

  Parameters:
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.
  See Also:
    `XMLDTDContentModelHandler.startGroup(weblogic.apache.xerces.xni.Augmentations)`

### element

    void element(String elementName,
                 Augmentations augmentations)
                 throws XNIException

  Deprecated.
  A referenced element in a mixed or children content model.

  Parameters:
    `elementName` - The name of the referenced element.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### separator

    void separator(short separator,
                   Augmentations augmentations)
                   throws XNIException

  Deprecated.
  The separator between choices or sequences of a mixed or children content model.

  Parameters:
    `separator` - The type of children separator.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.
  See Also:
    `XMLDTDContentModelHandler.SEPARATOR_CHOICE`, `XMLDTDContentModelHandler.SEPARATOR_SEQUENCE`

### occurrence

    void occurrence(short occurrence,
                    Augmentations augmentations)
                    throws XNIException

  Deprecated.
  The occurrence count for a child in a children content model or for the mixed content model group.

  Parameters:
    `occurrence` - The occurrence count for the last element or group.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.
  See Also:
    `XMLDTDContentModelHandler.OCCURS_ZERO_OR_ONE`, `XMLDTDContentModelHandler.OCCURS_ZERO_OR_MORE`, `XMLDTDContentModelHandler.OCCURS_ONE_OR_MORE`

### endGroup

    void endGroup(Augmentations augmentations)
                  throws XNIException

  Deprecated.
  The end of a group for mixed or children content models.

  Parameters:
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endContentModel

    void endContentModel(Augmentations augmentations)
                         throws XNIException

  Deprecated.
  The end of a content model.

  Parameters:
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD